Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

(reopen of Feature #14387):

Time tracking is one of the most hated (and needed) features of project/task management. An elegant way to support easy time

tracking is to do time tracking by pressing "Start work" and "Stop work" when working on a ticket (ideally would also been "Pause").

Currently the redmine-user has to write down the time when started working on a ticket, when stopped working and then calculate

time spent and finally add this to the redmine ticket.

I currently am using the start/stop functionality in an other product to track my time. An additional effect is, that "live" booking time

onto a ticket also helps me to stay focussed on this work (and resist to distractions).

If implementing that, you have to think about parallel tickets being booked time on. If allowed, there has to be a possibility to find all

your "current" tickets you are spending time on. If there is only one, you should (maybe in "activity") be able to navigate to this.

Thanks a lot

Comment:

tried time tracker plugin (Delaitre, 0.4 (2011-01-17)): does not work / only compatible with redmine 1.x --> issue logged again. Maybe

someone to update the plugin? - thanks again

Related issues:

Is duplicate of Redmine - Feature #14387: Allow "live" time tracking on ticke... New

History

#1 - 2013-07-17 14:11 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicates #14387, closing this one.

#2 - 2013-07-17 14:11 - Jan Niggemann (redmine.org team member)

- Is duplicate of Feature #14387: Allow "live" time tracking on tickets by adding "Start work" and "Stop work" buttons/icons added

#3 - 2013-07-18 07:49 - Anonymous

- Status changed from Closed to Reopened

Feature Request #14387 was by mistake set to resolved by me. As stated in comment to #14387 I found a plugin which provides the desired

functionality (time_tracker_plugin). Having this installed I found out it does not work (not compatible with current version of redmine, only compatible

with 1.x). As I am not permitted to change from "resolved" to "reopened" I logged the feature request again (#14472) which was then closed by Jan.

Fortunately I am permitted to reopen this one - what hereby I am doing.

Thanks

W.

#4 - 2013-07-19 06:55 - Toshi MARUYAMA

- Is duplicate of deleted (Feature #14387: Allow "live" time tracking on tickets by adding "Start work" and "Stop work" buttons/icons)

#5 - 2013-07-19 06:56 - Toshi MARUYAMA
- Status changed from Reopened to Closed

#6 - 2013-07-19 06:57 - Toshi MARUYAMA

- Is duplicate of Feature #14387: Allow "live" time tracking on tickets by adding "Start work" and "Stop work" buttons/icons added
